package org.wcs.constant.enums.database;

import lombok.Getter;

/**
 * 用户级别枚举
 */
@Getter
public enum UserLevelEnum {

    NORMAL(0, "普通用户"),
    MIDDLE(1, "中级用户"),
    ADMIN(3, "管理员"),
    TOP(4, "顶级用户");

    private final Integer level;
    private final String name;

    UserLevelEnum(Integer level, String name) {
        this.level = level;
        this.name = name;
    }
}
